Description

References to http://knb.ecoinformatics.org/cgi-bin/ should be redirected to their new and permanent home at /knb/cgi-bin/. This
should be easy as the following rewrite rule:

RewriteRule "~/cgi-bin/(.*) http://knb.ecoinformatics.org/knb/cgi-bin/$1 [L,R=301]

Test this on dev, and pending no unforeseen consequences deploy to KNB.

History

#1 - 03/20/2009 03:33 PM - Matt Jones

This type of a redirect will simply shield the actual URI problem in the source. Can't we find these problems and fix them? If we don't, then people at
other sites that install it will likely run into problems when the URLs don't work for them without the redirects.

#2 - 03/20/2009 05:19 PM - Shaun Walbridge

The URLs in the pages themselves (e.g. the 'Registry’ link from the NCEAS skin) will work fine, only preexisting references are affected. This has
been tested and works fine on dev, the following lines were added:

RewriteEngine On
RewriteLog "/var/log/httpd/rewrite_log"
RewriteLogLevel 5
RewriteRule */cgi-bin/(.*) http://dev.nceas.ucsb.edu/knb/cgi-bin/$1 [L,R=301]

Additionally, the ScriptAlias and <Directory> blocks for the old /cgi-bin/ reference were removed.

#3 - 03/27/2013 02:24 PM - Redmine Admin
Original Bugzilla ID was 3911

#4 - 04/09/2013 01:20 PM - ben leinfelder

- Status changed from In Progress to Closed
